Skip to content

Users

All operations require authentication.

4 operationsv1/dedicated/ceph
Agent setup

List Ceph usersProduction

GET
/1.0/dedicated/ceph/{serviceName}/user

Returns the Ceph users of the cluster.

Path parameters

serviceName
required
string

Service name

Response

200response[]successful operation
key
read-only
string

Key of user to connect into cluster

keyType
read-only
keyTypeEnum

Type of the user key

ValuesAESAES256K
mdsCaps
read-only
string

Capabilities of user on MDS

monCaps
read-only
string

Capabilities of user on MON

name
read-only
string

Name of ceph user

osdCaps
read-only
string

Capabilities of user on OSD

serviceName
read-only
string

ID of cluster

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "key": "string", "keyType": "AES", "mdsCaps": "string", "monCaps": "string", "name": "string", "osdCaps": "string", "serviceName": "string" }]

Get a Ceph userProduction

GET
/1.0/dedicated/ceph/{serviceName}/user/{userName}

Returns a Ceph user. Use its key to connect a client to the cluster.

Path parameters

serviceName
required
string

Service name

userName
required
string

User name

Response

200responsesuccessful operation
key
read-only
string

Key of user to connect into cluster

keyType
read-only
keyTypeEnum

Type of the user key

ValuesAESAES256K
mdsCaps
read-only
string

Capabilities of user on MDS

monCaps
read-only
string

Capabilities of user on MON

name
read-only
string

Name of ceph user

osdCaps
read-only
string

Capabilities of user on OSD

serviceName
read-only
string

ID of cluster

Example uses serviceName = string, userName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/user/{userName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "key": "string", "keyType": "AES", "mdsCaps": "string", "monCaps": "string", "name": "string", "osdCaps": "string", "serviceName": "string"}

Create a Ceph userProduction

POST
/1.0/dedicated/ceph/{serviceName}/user

Creates a Ceph user with no pool permissions. The name must contain at least three characters.

Path parameters

serviceName
required
string

Service name

Request body (required)

keyType
keyTypeEnum

Type of the generated user key, AES unless given

ValuesAESAES256K
userName
required
string

Name of the new user

Response

200stringsuccessful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/user \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete a Ceph userProduction

DELETE
/1.0/dedicated/ceph/{serviceName}/user/{userName}

Deletes the Ceph user from the cluster.

Path parameters

serviceName
required
string

Service name

userName
required
string

User name

Response

200stringsuccessful operation

Example uses serviceName = string, userName = string

$ curl https://api.eu.ovhcloud.com/1.0/dedicated/ceph/{serviceName}/user/{userName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"